{
    attributes = (
        {
            columnName = "DATE_CREATION"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "IMTT_FIN"; }; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DATE_MODIFICATION"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "IMTT_FIN"; }; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IMTA_DEBUT"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "IMTT_DEBUT"; }; 
            name = imtaDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IMTA_FIN"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "IMTT_FIN"; }; 
            name = imtaFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IMTA_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "IMTT_ID"; }; 
            name = imtaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IMTA_TAUX"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "IMTT_CODE"; }; 
            name = imtaTaux; 
            precision = 19; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "IMTT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "IMTT_ID"; }; 
            name = imttId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "IMTT_ID"; }; 
            name = ultOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (imtaId, imtaTaux, imttId, ultOrdre); 
    className = "org.cocktail.fwkcktldepense.server.metier.EOImTaux"; 
    classProperties = (imtaTaux, imtaDebut, imtaFin, dateCreation, dateModification, typeTaux); 
     externalName = "JEFY_ADMIN.IM_TAUX"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (imtaFin, imtaDebut, dateModification, dateCreation, imtaTaux, typeTaux); 
        "_javaClientClassName" = "org.cocktail.fwkcktldepense.client.metier.EOImTaux"; 
    }; 
    name = FwkCaramboleImTaux; 
    primaryKeyAttributes = (imtaId); 
    relationships = (
        {
            destination = FwkCaramboleImTypeTaux; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = imttId; sourceAttribute = imttId; }); 
            name = typeTaux; 
        }
    ); 
}
